Debian Bug report logs - #384772
FTBFS (alpha/unstable): unrecognized command line option "-minline-all-stringops"

version graph

Package: ser; Maintainer for ser is (unknown);

Reported by: Falk Hueffner <falk@debian.org>

Date: Sat, 26 Aug 2006 14:48:09 UTC

Severity: serious

Tags: fixed

Found in version ser/0.9.6-1

Fixed in versions 0.9.6-1.1, ser/0.9.6-2

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#384772; Package ser. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: unrecognized command line option "-minline-all-stringops"
Date: Sat, 26 Aug 2006 16:15:20 +0200
Package: ser
Version: 0.9.6-1
Severity: important
Justification: fails to build from source

ser does not build on several architectures:

[...]
gcc -O9 -funroll-loops   -Wall  -minline-all-stringops     -DNAME='"ser"' -DVERSION='"0.9.6"' -DARCH='"alpha"' -DOS='"linux"' -DCOMPILER='"gcc 4.1.2"' -D__CPU_alpha -D__OS_linux -DCFG_DIR='"/etc/ser/"' -DPKG_MALLOC -DSHM_MEM  -DSHM_MMAP -DDNS_IP_HACK -DUSE_IPV6 -DUSE_MCAST -DUSE_TCP -DDISABLE_NAGLE -DF_MALLOC  -DFAST_LOCK -DADAPTIVE_WAIT -DADAPTIVE_WAIT_LOOPS=1024  -DHAVE_GETHOSTBYNAME2 -DHAVE_UNION_SEMUN -DHAVE_SCHED_YIELD -DHAVE_MSG_NOSIGNAL -DHAVE_MSGHDR_MSG_CONTROL -DHAVE_ALLOCA_H -c action.c -o action.o
cc1: error: unrecognized command line option "-minline-all-stringops"
make[1]: *** [action.o] Error 1

Full log at
http://buildd.debian.org/fetch.php?&pkg=ser&ver=0.9.6-1&arch=alpha&stamp=1155139447&file=log&as=raw

This option does not exist on all platforms, I suggest to just drop
it.

	Falk


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: alpha
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.5
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Severity set to `serious' from `important' Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#384772; Package ser. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 384772@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 384772@bugs.debian.org
Subject: [PATCH] ser compiler options (was: Re: ser in etch?)
Date: Sun, 08 Oct 2006 11:53:16 +0200
[Message part 1 (text/plain, inline)]
Steve McIntyre <steve@einval.com> wrote:

> #384772 also needs fixing, which I'll work on now.

Here is the patch I applied to OpenSER. It relies on debian/rules
setting CFLAGS when calling make.

(there are whitespace-related changes in the patch, it probably won't
apply as is)

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 

[01_ungentooize.dpatch (application/octet-stream, attachment)]

Changed Bug title. Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#384772; Package ser. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 384772@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 384772@bugs.debian.org, 390008@bugs.debian.org
Subject: NMU patch to fix these 2 RC bugs
Date: Sun, 8 Oct 2006 14:18:38 +0100
[Message part 1 (text/plain, inline)]
Uploading to unstable shortly using this diff...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Armed with "Valor": "Centurion" represents quality of Discipline,
  Honor, Integrity and Loyalty. Now you don't have to be a Caesar to
  concord the digital world while feeling safe and proud.
[ser_num.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Steve McIntyre <93sam@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.9.6-1.1, send any further explanations to Falk Hueffner <falk@debian.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Falk Hueffner <falk@debian.org>:
Bug#384772. Full text and rfc822 format available.

Message #26 received at 384772-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Falk Hueffner <falk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 384772-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 384772-close@bugs.debian.org
Subject: Bug#384772: fixed in ser 0.9.6-2
Date: Sat, 02 Dec 2006 11:47:06 +0000
Source: ser
Source-Version: 0.9.6-2

We believe that the bug you reported is fixed in the latest version of
ser, which is due to be installed in the Debian FTP archive:

ser-acc-db-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-acc-db-module_0.9.6-2_i386.deb
ser-acc-radius-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-acc-radius-module_0.9.6-2_i386.deb
ser-cpl-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-cpl-module_0.9.6-2_i386.deb
ser-jabber-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-jabber-module_0.9.6-2_i386.deb
ser-mysql-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-mysql-module_0.9.6-2_i386.deb
ser-pa-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-pa-module_0.9.6-2_i386.deb
ser-postgres-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-postgres-module_0.9.6-2_i386.deb
ser-radius-modules_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-radius-modules_0.9.6-2_i386.deb
ser_0.9.6-2.diff.gz
  to pool/main/s/ser/ser_0.9.6-2.diff.gz
ser_0.9.6-2.dsc
  to pool/main/s/ser/ser_0.9.6-2.dsc
ser_0.9.6-2_i386.deb
  to pool/main/s/ser/ser_0.9.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated ser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  2 Dec 2006 11:24:20 +0000
Source: ser
Binary: ser-radius-modules ser-acc-radius-module ser-acc-db-module ser-jabber-module ser-cpl-module ser-postgres-module ser-mysql-module ser-pa-module ser
Architecture: source i386
Version: 0.9.6-2
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 ser        - Sip Express Router, very fast and configurable SIP proxy
 ser-acc-db-module - contains the ser acc module, with db support
 ser-acc-radius-module - contains the ser acc module, with RADIUS support
 ser-cpl-module - contains the cpl-c module (CPL support)
 ser-jabber-module - contains the Jabber module (SIP-Jabber message translation)
 ser-mysql-module - contains the MySQL database connectivity module
 ser-pa-module - contains the pa module (Presence server support)
 ser-postgres-module - contains the PostgreSQL database connectivity module
 ser-radius-modules - contains the ser RADIUS modules
Closes: 384772 390008 393713
Changes: 
 ser (0.9.6-2) unstable; urgency=low
 .
   [ Kilian Krause ]
   * Build-Depends: Cleanup to stop using alternatives and virtual packages to
     ensure we can reproduce builds and backport properly.
 .
   [ Mark Purcell ]
   * ACK NMU: Closes: #384772, #390008
   * Taken from openser: Thanks Julien BLACHE & Niko Tyni
   * debian/rules: temporarily decrease optimisation on arm
     - Fixes: empty package on arm (Closes: #393713)
   * Makefile patch - abort the build if a module fails to build
   * Debcheck - Build-Depends: libmysqlclient15-dev | libmysqlclient-dev
Files: 
 fdb7c6406a969593ccce64243bd89872 990 net optional ser_0.9.6-2.dsc
 7d6e075eac7ac067c67beb87edf8d8bd 10794 net optional ser_0.9.6-2.diff.gz
 fcff50240ca5aa76f9056065632e99b4 746554 net optional ser_0.9.6-2_i386.deb
 a793f213e20a5e600f800963208e6db3 15738 net optional ser-mysql-module_0.9.6-2_i386.deb
 ef37de2cdb872b95a027d2de9711ab42 59222 net optional ser-jabber-module_0.9.6-2_i386.deb
 6bc42705fe734f689c07556c5726e7d4 68032 net optional ser-cpl-module_0.9.6-2_i386.deb
 3e6afb224389652051a1c1389c9651d6 49242 net optional ser-pa-module_0.9.6-2_i386.deb
 2be56f011061b9195de3f445b6265b08 23494 net optional ser-radius-modules_0.9.6-2_i386.deb
 4c0ce741cc2ef5875bef7ca99ed1fcc5 17894 net optional ser-postgres-module_0.9.6-2_i386.deb
 2714648966b402eb7618adbb42eb8793 18178 net optional ser-acc-db-module_0.9.6-2_i386.deb
 9f88dad42a2bf58c46aa411613bc3313 18700 net optional ser-acc-radius-module_0.9.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFcWOsoCzanz0IthIRAg5mAJ0d2KXzj+/SCJR58kYibKFtFFgz8wCfSzqS
bU32Ncv1Rtq1H5pZxGRXWM8=
=n4LC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2007 08:18:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:37:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.